Bug 838239 - Review Request: rubygem-ghost - Allows you to create, list, and modify local hostnames
Review Request: rubygem-ghost - Allows you to create, list, and modify local ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Darryl L. Pierce
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-07 14:02 EDT by Matt Spaulding
Modified: 2015-06-21 20:08 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 17:09:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dpierce: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Matt Spaulding 2012-07-07 14:02:58 EDT
Spec URL: http://madsa.fedorapeople.org/rubygem-ghost.spec
SRPM URL: http://madsa.fedorapeople.org/rubygem-ghost-0.3.0-1.fc17.src.rpm
Description:

This gem is designed primarily for web developers who need to add
and modify hostnames to their system for virtual hosts on their
local/remote web server. However, it could be of use to other people
who would otherwise modify their `/etc/hosts` file manually and
flush the cache.

Fedora Account System Username: madsa

Koji Build: http://koji.fedoraproject.org/koji/taskinfo?taskID=4224579

Rpm Lint Output:

rubygem-ghost.src: W: spelling-error Summary(en_US) hostnames -> host names, host-names, hostages
rubygem-ghost.src: W: spelling-error %description -l en_US hostnames -> host names, host-names, hostages
rubygem-ghost.noarch: W: spelling-error Summary(en_US) hostnames -> host names, host-names, hostages
rubygem-ghost.noarch: W: spelling-error %description -l en_US hostnames -> host names, host-names, hostages
rubygem-ghost.noarch: W: unexpanded-macro /usr/share/gems/doc/ghost-0.3.0/ri/Ghost/Host/empty%21-c.ri %21
rubygem-ghost.noarch: W: unexpanded-macro /usr/share/gems/doc/ghost-0.3.0/ri/Ghost/Host/flush%21-c.ri %21
rubygem-ghost.noarch: W: wrong-file-end-of-line-encoding /usr/share/gems/doc/ghost-0.3.0/ri/cache.ri
rubygem-ghost.noarch: W: unexpanded-macro /usr/share/gems/doc/ghost-0.3.0/ri/Ghost/Host/write_out%21-c.ri %21
rubygem-ghost.noarch: W: unexpanded-macro /usr/share/gems/doc/ghost-0.3.0/ri/Ghost/Host/%3d%3d-i.ri %3d
rubygem-ghost.noarch: W: unexpanded-macro /usr/share/gems/doc/ghost-0.3.0/ri/Ghost/Host/%3d%3d-i.ri %3d
rubygem-ghost.noarch: W: unexpanded-macro /usr/share/gems/doc/ghost-0.3.0/ri/Ghost/SshConfig/empty%21-c.ri %21
rubygem-ghost.noarch: W: no-manual-page-for-binary ghost
rubygem-ghost.noarch: W: no-manual-page-for-binary ghost-ssh
2 packages and 1 specfiles checked; 0 errors, 13 warnings.

These appear to be either ignorable or false positives.
Comment 1 Darryl L. Pierce 2012-08-13 08:49:46 EDT
[X]  rpmlint must be run on the source rpm and all binary rpms the build produces. The output should be posted in the review.[1] 

mcpierce@mcpierce-laptop:ghost-0.3.0  $ rpmlint rubygem-ghost-0.3.0-1.fc17.src.rpm 
(none): E: no installed packages by name rubygem-ghost-0.3.0-1.fc17.src.rpm
0 packages and 0 specfiles checked; 0 errors, 0 warnings.


[X]  The package must be named according to the Package Naming Guidelines .
[X]  The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption. [2] . 
[X]  The package must meet the Packaging Guidelines .
[X]  The package must be licensed with a Fedora approved license and meet the Licensing Guidelines .
[X]  The License field in the package spec file must match the actual license. [3]
[X]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.[4]
[X]  The spec file must be written in American English. [5]
[X]  The spec file for the package MUST be legible. [6]
[X]  The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use sha256sum for this task as it is used by the sources file once imported into git. If no upstream URL can be specified for this package, please see the Source URL Guidelines for how to deal with this.
[X]  The package MUST successfully compile and build into binary rpms on at least one primary architecture. [7]
[X]  All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
[X]  The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.[9]
[X]  Packages must NOT bundle copies of system libraries.[11]
[X]  A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory. [13]
[X]  A Fedora package must not list a file more than once in the spec file's %files listings. (Notable exception: license texts in specific situations)[14]
[X]  Permissions on files must be set properly. Executables should be set with executable permissions, for example. [15]
[X]  Each package must consistently use macros. [16]
[X]  The package must contain code, or permissable content. [17]
[1]  Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). [18]
[X]  If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. [18]
[2]  Development files must be in a -devel package. [20]
[2]  In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name}%{?_isa} = %{version}-%{release} [21]
[X]  Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. [23]
[X]  All filenames in rpm packages must be valid UTF-8. [24]

[X]  Each Ruby package must indicate the Ruby ABI version it depends on.
[X]  Packages that contain Ruby Gems must be called rubygem-%{gem_name}.
[X]  Pure Ruby packages must be built as noarch packages.
[2]  If there is test suite available for the package (even separately, for example not included in the gem but available in the upstream repository), it should be run in %check.

NOTES:
 [1] The ri docs should be moved to a -doc package. [NONBLOCKER]
 [2] The Rakefile should either be removed or else included in a -devel package. [BLOCKER]
 [3] The lines to delete an existing $RPM_BUILD_ROOT and create a new one should be deleted.
     * Instead, please use the example %prep section from http://fedoraproject.org/wiki/Packaging:Ruby [BLOCKER]
     * Additionally, the %clean section ought to be removed as well. [NONBLOCKER]
Comment 3 Darryl L. Pierce 2012-08-13 14:55:51 EDT
Looks good for me. APPROVED! :D
Comment 4 Matt Spaulding 2012-08-13 14:58:27 EDT
Yay, thanks Darryl!

New Package SCM Request
=======================
Package Name: rubygem-ghost
Short Description: Allows you to create, list, and modify local hostnames
Owners: madsa
Branches: f17 f18
InitialCC:
Comment 5 Gwyn Ciesla 2012-08-13 15:02:13 EDT
Git done (by process-git-requests).
Comment 6 Fedora Update System 2012-08-13 16:08:02 EDT
rubygem-ghost-0.3.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/rubygem-ghost-0.3.0-2.fc17
Comment 7 Fedora Update System 2012-08-14 05:20:24 EDT
rubygem-ghost-0.3.0-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 8 Darryl L. Pierce 2012-08-14 08:36:32 EDT
Matt: Per the package review process [1] this shouldn't be in the MODIFIED/ON_QA state. Instead, now that it's build, you should mark the ticket as CLOSED/NEXTRELEASE.
Comment 9 Darryl L. Pierce 2012-08-14 08:36:49 EDT
(In reply to comment #8)
> Matt: Per the package review process [1] this shouldn't be in the
> MODIFIED/ON_QA state. Instead, now that it's build, you should mark the
> ticket as CLOSED/NEXTRELEASE.

[1] http://fedoraproject.org/wiki/Package_Review_Process#Contributor
Comment 10 Fedora Update System 2012-08-22 17:09:21 EDT
rubygem-ghost-0.3.0-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.